[versions]
kotlin = "1.7.20"
agp = "7.3.1"
dagger = "2.38.1"
moxy = "2.2.2"
rx = "2.2.21"
rxAndroidVersion = "2.1.1"
cicerone = "7.1"
appcompat = "1.5.1"
constraint = "2.1.4"
compose = "1.3.2"
navigation = "2.5.3"
junit = "4.13.2"
ext_junit = "1.1.3"
espresso_core = "3.4.0"
hilt = "2.44"
ktorClient = "2.1.2"
kotlinxJson = "1.0.1"
androidxLifecycle = "2.5.1"
room = "2.4.3"
orbitMvi = "4.4.0"
androidXTestVersion = "1.5.0"
mockitoVersion = "4.8.1"
mockitoKotlinVersion = "4.0.0"
mockkVersion = "1.13.2"
coroutines = "1.6.4"
composeCompiler = "1.3.2"

[plugins]
hilt = { id = "com.google.dagger.hilt.android", version.ref = "hilt" }


[libraries]
kotlinGradle = { module = "org.jetbrains.kotlin:kotlin-gradle-plugin", version.ref = "kotlin" }
androidGradle = { module = "com.android.tools.build:gradle", version.ref = "agp" }

kotlinReflection = { module = "org.jetbrains.kotlin:kotlin-reflect", version.ref = "kotlin" }

coroutines = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "coroutines" }
kotlinSerialization = { module = "org.jetbrains.kotlin:kotlin-serialization", version.ref = "kotlin" }
ktorClient = { module = "io.ktor:ktor-client-okhttp", version.ref = "ktorClient" }
ktorContentNegotiiation = { module = "io.ktor:ktor-client-content-negotiation", version.ref = "ktorClient" }
ktorSerialization = { module = "io.ktor:ktor-client-serialization", version.ref = "ktorClient" }
kotlinxJson = { module = "io.ktor:ktor-serialization-kotlinx-json", version.ref = "ktorClient" }
ktorLogging = { module = "io.ktor:ktor-client-logging-jvm", version.ref = "ktorClient" }
ktorAuth = { module = "io.ktor:ktor-client-auth", version.ref = "ktorClient" }
jwtDecode = "com.auth0.android:jwtdecode:2.0.1"

timber = "com.jakewharton.timber:timber:5.0.1"

hiltCompiler = { module = "com.google.dagger:hilt-android-compiler", version.ref = "hilt" }
hilt = { module = "com.google.dagger:hilt-android", version.ref = "hilt" }


androidx-navPlugin = { module = "androidx.navigation:navigation-safe-args-gradle-plugin", version.ref = "navigation" }
androidx-appcompat = { module = "androidx.appcompat:appcompat", version.ref = "appcompat" }
androidx-constraint = { module = "androidx.constraintlayout:constraintlayout", version.ref = "constraint" }
androidx-annotation = "androidx.annotation:annotation:1.5.0"
androidx-lifecycle-livedata = { module = "androidx.lifecycle:lifecycle-livedata-ktx", version.ref = "androidxLifecycle" }
androidx-lifecycle-viewmodel = { module = "androidx.lifecycle:lifecycle-viewmodel-ktx", version.ref = "androidxLifecycle" }
androidx-lifecycle-runtime-ktx = { module = "androidx.lifecycle:lifecycle-runtime-ktx", version.ref = "androidxLifecycle" }
androidx-navigation-fragment = { module = "androidx.navigation:navigation-fragment-ktx", version.ref = "navigation" }
androidx-recycler = "androidx.recyclerview:recyclerview:1.2.1"
androidx-coreKtx = "androidx.core:core-ktx:1.9.0"

androidx-navigation-ui = { module = "androidx.navigation:navigation-ui-ktx", version.ref = "navigation" }

androidx-room-runtime = { module = "androidx.room:room-runtime", version.ref = "room" }
androidx-room-compiler = { module = "androidx.room:room-compiler", version.ref = "room" }
androidx-room-ktx = { module = "androidx.room:room-ktx", version.ref = "room" }
androidx-room-testing = { module = "androidx.room:room-testing", version.ref = "room" }

compose-material = "androidx.compose.material3:material3:1.1.0-alpha03"
compose-activity = "androidx.activity:activity-compose:1.6.1"
compose-ui = { module = "androidx.compose.ui:ui", version.ref = "compose" }
compose-preview = { module = "androidx.compose.ui:ui-tooling-preview", version.ref = "compose" }
compose-junit = { module = "androidx.compose.ui:ui-test-junit4", version.ref = "compose" }
compose-tooling = { module = "androidx.compose.ui:ui-tooling", version.ref = "compose" }
compose-test-manifest = { module = "androidx.compose.ui:ui-test-manifest", version.ref = "compose" }
compose-coil = "io.coil-kt:coil-compose:2.2.2"
compose-lifecycle-runtime = "androidx.lifecycle:lifecycle-runtime-compose:2.6.0-alpha03"
compose-contraint = "androidx.constraintlayout:constraintlayout-compose:1.0.1"
compose-systemuicontroller = "com.google.accompanist:accompanist-systemuicontroller:0.28.0"


test-junit = { module = "junit:junit", version.ref = "junit" }
androidx-test-junit-ext = { module = "androidx.test.ext:junit", version.ref = "ext_junit" }
androidx-test-espresso = { module = "androidx.test.espresso:espresso-core", version.ref = "espresso_core" }

androidx-test-core = { module = "androidx.test:core", version.ref = "androidXTestVersion" }
androidx-test-coreKtx = { module = "androidx.test:core-ktx", version.ref = "androidXTestVersion" }
androidx-test-arch = "androidx.arch.core:core-testing:2.1.0"
androidx-navigation-test = { module = "androidx.navigation:navigation-testing", version.ref = "navigation" }
androidx-fragment-test = "androidx.fragment:fragment-testing:1.5.4"
hilt-test = "com.google.dagger:hilt-android-testing:2.44"
robolectric = "org.robolectric:robolectric:4.9"
androidx-test-junitKtx = "androidx.test.ext:junit-ktx:1.1.4"
mockito-core = { module = "org.mockito:mockito-core", version.ref = "mockitoVersion" }
mockito-kotlin = { module = "org.mockito.kotlin:mockito-kotlin", version.ref = "mockitoKotlinVersion" }
mockk = { module = "io.mockk:mockk", version.ref = "mockkVersion" }
coroutines-test = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-test", version.ref = "coroutines" }

javapoet = "com.squareup:javapoet:1.13.0"

mviorbit-core = { module = "org.orbit-mvi:orbit-core", version.ref = "orbitMvi" }
mviorbit-viewmodel = { module = "org.orbit-mvi:orbit-viewmodel", version.ref = "orbitMvi" }
mviorbit-test = { module = "org.orbit-mvi:orbit-test", version.ref = "orbitMvi" }

[bundles]
ktor = ["coroutines",
    "ktorClient",
    "ktorContentNegotiiation",
    "kotlinSerialization",
    "ktorAuth",
    "ktorSerialization",
    "kotlinxJson",
    "ktorLogging",
    ]

androidx = [
    #"androidx-appcompat",
    "androidx-coreKtx",
    #"androidx-recycler",
    #"androidx-constraint",
    "androidx-annotation",
    "androidx-lifecycle-livedata",
    "androidx-lifecycle-viewmodel",
    #"androidx-navigation-fragment",
    "androidx-lifecycle-runtime-ktx"
]

compose = [
    "compose-material",
    "compose-activity",
    "compose-ui",
    "compose-preview",
    "compose-contraint",
    "compose-lifecycle-runtime",
    "compose-coil",
    "compose-systemuicontroller"
]

unitTest = [
    "androidx-test-core",
    "androidx-test-coreKtx",
    "mockito-core",
    "mockito-kotlin",
    "mockk",
    "coroutines-test",
    "hilt-test",
    "androidx-test-arch",
    "hilt",
    "androidx-navigation-test",
    "androidx-fragment-test",
    "robolectric",
    "androidx-test-junitKtx",
    "mviorbit-test"
]